import { Component, Output, EventEmitter, Input } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { fadeInAnimation } from '../../animations/fadeIn.animation';

@Component({
  selector: 'app-remission-to-top-to-bottom-actions',
  templateUrl: './remission-to-top-to-bottom-actions.component.html',
  styleUrls: ['./remission-to-top-to-bottom-actions.component.scss'],
  animations: [fadeInAnimation],
})
export class RemissionToTopToBottomActionsComponent {
  @Output() navigateToTop = new EventEmitter();
  @Output() navigateToWarenbegleitschein = new EventEmitter();

  @Input() showTop$: BehaviorSubject<boolean>;
  @Input() showBottom$: BehaviorSubject<boolean>;

  constructor() {}

  scrollTop() {
    this.navigateToTop.emit();
  }

  scrolltoWarenbegleitschein() {
    this.navigateToWarenbegleitschein.emit();
  }
}
